## qpopper 2.2-1

=== debian/control ===
Package: qpopper
Description: Enhanced Post Office Protocol server (POP3).
 This is The Qualcomm enhanced version of the Post Office Protocol Daemon
 (POP3 daemon), based on the latest BSD version. The QualComm popper has
 some extensions to the normal pop3 daemon, such as UIDL and bulletin support.
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Version: =V-=D
Depends: netbase
Section: net
Priority: optional
Architecture: =A
